from django.forms import ModelForm
from django.contrib.auth.models import User
from ..status_code import *

class RegisterForm(ModelForm):
    class Meta:
        model = User
        fields = ['username', 'password']
        
        error_messages = {
            'username': {
                'max_length': USERNAME_TOO_LONG,
                'min_length': USERNAME_TOO_SHORT,
                'required': USERNAME_MISSING,
                'unique': USERNAME_ALREADY_USED,
            },
            'password': {
                'max_length': PASSWORD_TOO_LONG,
                'min_length': PASSWORD_TOO_SHORT,
                'required': PASSWORD_MISSING,
            }
        }
